-- Ŀ
--  GFX-Glob.E V1.01 (C) 1996 PJB Systems         Graphic global definitions 
-- 

-- Standard structure for all pictures/animations (Bit-map or Vector)
global constant iType = 1    -- 0=Void,1=PAL/Gry/Msk,2=HiColour,3=TrueColour
global constant iXsize = 2   -- Width in pixels
global constant iYsize = 3   -- Hight in pixels
global constant iCsize = 4   -- Bits per Pixel
global constant iRed = 5     -- Pointer to Red data   (RGB)
global constant iGreen = 6   -- Pointer to Green data (RGB)
global constant iBlue = 7    -- Pointer to Blue data  (RGB)
global constant iMask = 8    -- Pointer to Mask data  (RGB or PAL)
global constant iPixel = 9   -- Pointer to Pixel data (PAL)
global constant iFrames = 10 -- Number of frames
global constant iRFpS = 11 --   Required Frames per Second
global constant iPal = 12    -- Palette data          (PAL)

-- Type defs for "iType"
global constant tVOID = 0    -- No picture (might be on screen)
global constant tPAL  = 1    -- Bit-Map, Palettized/Grey/Mask
global constant tRGB  = 3    -- Bit-Map, RGB (True-colour / Hi-Colour)

-- Blank image
global constant DefaultImage = {0, 0,0,0, 0,0,0,0, 0,0, 0}

